﻿namespace U2UConsult.UserControls.Sample
{
    /// <summary>
    /// Cylon Centurion - a.k.a. Toaster
    /// </summary>
    public class MainPageViewModel : BindableBase
    {
        private int toasted = 50000;
        private int roasted = 150;
        private int posted = 9000;

        /// <summary>
        /// Gets or sets the number of Humans killed.
        /// </summary>
        public int Toasted
        {
            get { return this.toasted; }
            set { this.SetProperty(ref this.toasted, value); }
        }

        /// <summary>
        /// Gets or sets the number of Civilisations destroyed.
        /// </summary>
        public int Roasted
        {
            get { return this.roasted; }
            set { this.SetProperty(ref this.roasted, value); }
        }

        /// <summary>
        /// Gets or sets the number of tweets posted.
        /// </summary>
        public int Posted
        {
            get { return this.posted; }
            set { this.SetProperty(ref this.posted, value); }
        }
    }
}
